%global pkgname django-setuptest

Name:           python-django-setuptest
Version:        0.1.2
Release:        3%{?dist}
Summary:        Simple module enabling Django app testing

License:        BSD
URL:            https://github.com/praekelt/django-setuptest
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-coverage
BuildRequires:  python-pep8
BuildRequires:  python-setuptools
%if 0%{?fedora} >= 18
Requires:       python-django
BuildRequires:  python-django
%else
Requires:       Django
BuildRequires:  Django
%endif 

%description
Simple module enabling Django app testing via 
$ python setup.py test.

%prep
%setup -q -n %{pkgname}-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} setup.py test
 
%files
%doc README.rst CHANGELOG.rst
%{python_sitelib}/setuptest
%{python_sitelib}/django_setuptest-*.egg-info

%changelog
* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-3
- change BuildRequires python-devel to python2-devel
- change BuildRequires python-setuptools-devel to python-setuptools
- add if in BuildRequires if f18 require python-django else use django
 
* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-2
- add check section
- add README
- add BuildRequires coverage and pep8

* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-1
- Initial Import



